/*---------------------------------------------------------—
  CleanRP SoundMaster
  
  Copyright © 2017 4thebadwolfsky
  All Rights Reserved
  Website: derauto.de 
—-----------------------------------------------------------*/
AddCSLuaFile()
WeatherSounds = {}
WeatherSounds["thunder"] = {}
WeatherSounds["thunder"]["blitz"] = {"0x06B8CE61","0x11E5A7BB","0x139392D9"}
WeatherSounds["thunder"]["donner"] = {"0x168348FE","0x0CD31F62","0x05D20947","0x0157C86A"}

function SoundMaster.Thunderfar(p,a,b,v)
	--sound.Play( "simpleweather/thunderfar" .. math.random( 1, 2 ) .. ".mp3",p,a,b,v)
	sound.Play( "soundmaster/weather_ac/" .. table.Random(WeatherSounds["thunder"]["donner"]) .. ".mp3",p,a,b,v)
end
function SoundMaster.WindSound()
	LocalPlayer():EmitSound("rustsurvival/ambient/a_windgust_light"..math.random(1,4)..".mp3")
end
function SoundMaster.ThunderLighning(p,a,b,v)
	--sound.Play( "simpleweather/thunder" .. math.random( 1, 3 ) .. ".mp3",p,a,b,v)
	--sound.Play( "simpleweather/lightning" .. math.random( 1, 4 ) .. ".mp3",p,a,b,v)
	SoundMaster.Thunderfar(p,a,b,v)
	sound.Play( "soundmaster/weather_ac/" .. table.Random(WeatherSounds["thunder"]["blitz"]) .. ".mp3",p,a,b,v)
end